## sympa 6.1.11~dfsg

=== debian/changelog ===
sympa (6.1.11~dfsg-3) unstable; urgency=high

  * Fix bug about sympa user created too late in postinst script
    (Closes: #673759)
  * Let urgency to high due to CVE-2012-2352

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 21 May 2012 09:45:58 +0000

sympa (6.1.11~dfsg-2) unstable; urgency=high

  * Add a patch to properly fix CVE-2012-2352

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 20 May 2012 12:01:00 +0000

sympa (6.1.11~dfsg-1) unstable; urgency=high

  * New upstream release
    - Fix security issue CVE-2012-2352 (set urgency accordingly)
    - Fix a bug about VERP return path not correctly set (Closes: #653265)
    - Fix '*insecure*' errors in webserver logs (Closes: #516164)
    - Fix segfault of wwsympa while sending emails (Closes: #655269)
    - Fix setuid attributes on cgi and cgi wrappers (Closes: #639911)
    - Fix default EXPLDIR value (Closes: #639627)
    - Refresh patches
  * Fix location of X509-user-certs directory which contains user
    certificates: It has to be in /var/lib/sympa/list_data/X509-user-certs
    (Closes: #516513)
  * Update Dutch debconf translations (Closes: #660837, Thanks to
    Jeroen Schot)
  * Add Italian debconf translations (Closes: #666920, Thanks to
    Beatrice Torracca)
  * Definitely fix the reset of permissions in /var/spool/sympa and
    /var/lib/sympa. Thanks to Chris Reeves for the patch (Closes: #668995)
  * Bump Standards-Version to 3.9.3
  * Remove useless patch with hardcoded user/group 'sympa' (no more needed)
  * Add a patch to fix typos and bad whatis entries in manpages
  * Add a lintian override against 'possible-bashism-in-maintainer-script'
    (false positive)
  * Move ca-certificates from Recommends to Depends as lintian detects a
    broken symlink (even if lintian is right it fails to detect that it is
    by now a false positive hence an override has been added)
  * Add a patch for sympa_wizard manpage rewording
  * Add missing manpage for sympa_wizard (Closes: #415884)
  * Add a patch to fix a warning in logs about 'Unknown parameter
    ldap_force_canonical_email' (Closes: #638320)
  * Do not handle /etc/sympa/data_structure.version as a conffile as it
    breaks sympa internals upgrade (Closes: #655967)
  * Add a patch to disable the email notification 'css updated' on each
    upgrade (Closes: #601662)

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 10 Apr 2012 21:28:03 +0000
