## sympa 6.1.17~dfsg

=== debian/changelog ===
sympa (6.1.17~dfsg-1) unstable; urgency=low

  * New upstream release:
    - Fix possible infinite loop while generating digest with text/plain
      binary attachements (Closes: #712141)
    - Fix missing templates (Closes: #714388)
    - Switch the default locale from en_US to en (update debconf templates
      accordingly) (Closes: #682563)
  * Refresh patches:
    - Fix 'CREATE DATABASE' syntax with mysql backend. Thanks to Daniel
    Caillibaud for the patch (Closes: #682664)
  * Add a patch to make possible to fallback on C locale when no other
    locales are available
  * Add a patch to raise a warning instead of an error when the CA bundle file
    is not readable (Closes: #706965, #717435)
  * Fix packaging to support Apache >= 2.4 (Closes: #669803)
  * Update manpages patch to fix a FTBFS caused by lack of 'encoding'
    identifer in pod snippets (Closes: #724086)
  * Add dependency on libsoap-lite-perl
  * Fix Vcs-* fields
  * Bump Standards-Version to 3.9.4
  * Remove support of sqlite < 3
  * Add a warning message in postinst about the fix of permissions and
    ownership which can take a while. Thanks to David Prévot for the
    suggestion (Closes: #709565)
  * Fix a bug in postinst while trying to add missing parameters in
    sympa.conf during upgrade to sympa > 6.0.1. Thanks to Paul Menzel
    for the patch (Closes: #691506)
  * Minor updates in debian/copyright
  * Switch to debhelper >= 9

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 24 Sep 2013 21:41:18 +0000

sympa (6.1.11~dfsg-5) unstable; urgency=low

  * Fix SQLite patch to avoid crash during installation from scratch and
    database schema updates failures on upgrade (Closes: #686845)

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 30 Nov 2012 19:00:43 +0000

sympa (6.1.11~dfsg-4) unstable; urgency=low

  * Include debconf and dbconfig libraries in maintainer scripts only when
    it's possible (Closes: #673990)
  * Use --force-badname with adduser while creating sympa user (avoid a
    failure with a custom NAME_REGEX in /etc/adduser.conf) (Closes: #328053)
  * Try to fix /etc/sympa/data_structure.version in preinst script when it
    is empty. This file needs to contain the current version of sympa to
    ensure that the upgrade to the version being installed will be successful.
  * Add a Recommends on apache2-suexec as it is needed to properly
    start/stop/reload the fastcgi wrapper.

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 12 Jun 2012 19:00:22 +0000
