=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Jonas Smedegaard <dr@jones.dk>, Emmanuel Bouthenot <kolter@debian.org>
-Build-Depends: cdbs (>= 0.4.72~),
- devscripts (>= 2.10.7~),
- debhelper (>= 6),
+Build-Depends: cdbs,
+ devscripts,
+ debhelper (>= 9),
  dh-buildinfo,
  libdbi-perl (>= 1.48),
  libarchive-zip-perl (>= 1.05),
@@ -29,14 +29,13 @@
  libregexp-common-perl,
  debconf-utils,
  po-debconf
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/sympa.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sympa.git;a=summary
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/sympa.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sympa.git
 Homepage: http://www.sympa.org/
 
 Package: sympa
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.7.2~)
 Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${cdbs:Depends}
 Replaces: wwsympa
 Provides: wwsympa
