=== debian/rules ===
--- 
+++ 
@@ -67,10 +67,6 @@
 # “maintainer-clean” target will also remove po{,-wwsympa}/{stamp-po,*.gmo} files
 DEB_MAKE_CLEAN_TARGET = maintainer-clean
 
-localenames = af ar bg br ca cs de el en_US es et eu fi fr hu id it ja ko
-localenames +=  ml nb_NO nl nn_NO oc pl pt pt_BR ro ru sv tr vi zh_CN zh_TW
-upstreamtmpfiles += $(localenames:%=po/%.gmo)
-upstreamtmpfiles += $(localenames:%=po-wwsympa/%.gmo)
 upstreamtmpfiles += src/etc/list_aliases.tt2 src/lib/Sympa/Constants.pm sympa.spec
 upstreamtmpfiles += po-wwsympa/stamp-po po/stamp-po
 pre-build:: debian/stamp-upstreamtmpstuff
@@ -104,13 +100,12 @@
 build/sympa::
 	mkdir -p debian/dbconfig-common/install
 	perl -n \
-		-e '/^CREATE\s+TABLE\s+\w+\s+\($$/ and $$ok++;' \
+		-e '/^CREATE\s+TABLE\s+\w+\s+\(\s*$$/ and $$ok++;' \
 		-e 'print if $$ok;' \
 		src/etc/script/create_db.mysql \
 		> debian/dbconfig-common/install/mysql
 	perl -n \
-		-e '/^CREATE\s+TABLE\s+\w+\s+\($$/ and $$ok++;' \
-		-e '/^DROP\s+\w+\s+\w+;$$/ and undef $$ok;' \
+		-e '/^CREATE\s+TABLE\s+\w+\s+\(\s*$$/ and $$ok++;' \
 		-e 'print if $$ok;' \
 		src/etc/script/create_db.Pg \
 		> debian/dbconfig-common/install/postgres
@@ -186,5 +181,10 @@
 CDBS_DEPENDS += , libdbd-sybase-perl, libdbd-sqlite3-perl, sqlite3
 CDBS_DEPENDS += , libfcgi-perl, libfile-copy-recursive-perl (>= 0.36), libnet-netmask-perl
 CDBS_DEPENDS += , libterm-progressbar-perl, libmime-lite-html-perl, libunicode-linebreak-perl
+CDBS_DEPENDS += , libsoap-lite-perl
 
 CDBS_RECOMMENDS = libfile-nfslock-perl, libio-socket-ssl-perl, libsoap-lite-perl
+CDBS_RECOMMENDS += , libcrypt-ciphersaber-perl, libmail-dkim-perl (>= 0.36)
+CDBS_RECOMMENDS += , libapache2-mod-fcgid, apache2-suexec
+
+CDBS_SUGGESTS = libauthcas-perl (>= 1.4), libdbd-oracle-perl (>= 0.90), libtext-wrap-perl
