## sympa 6.1.22~dfsg

=== debian/changelog ===
sympa (6.1.22~dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 18 Jun 2014 21:54:44 +0000

sympa (6.1.22~dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #738636
    - Add missing locales (Closes: #741979)
    - Fix perl errors with perl <= 5.14 (Closes: #709240)
    - Fix sympa crash in some conditions (Closes:  #746283)
    - {,ww}sympa no longer use pidfiles parameters in config files
      (Closes: #191086)
    - Fix DMARC issues with various Email service providers
      (Closes: #745639)
  * Set rsyslog as default syslog daemon (instead of sysklogd)
    (Closes: #728114)
  * Remove useless aliases from /etc/aliases (Closes: #615867)
  * Bump Standards-Version to 3.9.5
  * Adding systemd unit files

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 11 Jun 2014 23:19:12 +0200
