## sympa 6.1.23~dfsg

=== debian/changelog ===
sympa (6.1.23~dfsg-2+deb8u3) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Security Team.
  * Fix CVE-2018-1000671: Open redirection vulnerability (Closes: #908165)

 -- Abhijith PA <abhijith@disroot.org>  Wed, 19 Sep 2018 22:45:20 +0530

sympa (6.1.23~dfsg-2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-1000550:
    A vulnerability has been discovered in Sympa web interface that allows
    write access to files on the server filesystem. This flaw allows to create
    or modify any file writable by the Sympa user, located on the server
    filesystem, using the function of Sympa web interface template file saving.

 -- Markus Koschany <apo@debian.org>  Tue, 24 Jul 2018 21:14:39 +0200

sympa (6.1.23~dfsg-2+deb8u1) jessie; urgency=medium

  * Non-maintainer upload.
  * Fix logrotate configuration so that sympa is not left in a confused state
    when systemd is used (Closes: #804066)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 05 Oct 2016 12:22:20 +0200

sympa (6.1.23~dfsg-2) unstable; urgency=medium

  * Fix a bug in /etc/sympa/facility conffile handling (Closes: #774877)
  * Add a patch to fix a vulnerability in the web interface (wwsympa)
    which allows one to send himself by email any readable file by the
    sympa user on the filesystem.

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 16 Jan 2015 02:48:12 +0100

sympa (6.1.23~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Update debian/copyright with new copyright holders

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 17 Sep 2014 19:39:15 +0200
