=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  libregexp-common-perl,
  debconf-utils,
  po-debconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/sympa.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sympa.git
 Homepage: http://www.sympa.org/
