=== debian/rules ===
--- 
+++ 
@@ -28,13 +28,11 @@
 	crypt_passwd.pl init_comment.pl arc2webarc.pl
 
 DEB_UPSTREAM_URL = http://www.sympa.org/distribution
-DEB_UPSTREAM_TARBALL_MD5 = 297f31cd74d5e4f5b2dd5d1e35e81fd0
+DEB_UPSTREAM_TARBALL_MD5 = 072e108875bcdf4c4cc8d5ebad56f0ed
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~beta(\d+)$$/b.$$1/
 
 # non-DFSG license limited to "authorized use only"
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./src/etc/ca-bundle.crt
-# copyright-protected but inlicensed
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./po/it.po ./po/oc.po
 # unused sources cluttering authorship/licensing tracking
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./po*.gmo
 
@@ -49,14 +47,12 @@
 	--mandir=/usr/share/man \
 	--with-initdir=/etc/init.d \
 	--with-docdir=/usr/share/doc/sympa \
+	--with-piddir=/run/sympa \
 	--with-perl=$(PERL) \
 	--with-user=sympa --with-group=sympa \
-	--with-sendmail_aliases=/etc/mail/sympa/aliases \
-	--with-virtual_aliases=/etc/mail/sympa/virtual
+	--with-aliases_file=/etc/mail/sympa/aliases
 
 DEB_MAKE_INSTALL_TARGET = install DESTDIR="$(DEB_DESTDIR)"
-
-DEB_INSTALL_EXAMPLES_sympa = debian/examples/tulp2sympa
 
 man8basenames = alias_manager archived bounced sympa
 DEB_INSTALL_MANPAGES_sympa = $(man8basenames:%=doc/man8/%.8)
@@ -131,6 +127,13 @@
 	# Remove generated sympa_wizard manpage
 	rm -f debian/sympa_wizard.8
 
+binary-install/sympa::
+	dh_installinit --noscripts --name=sympa
+	dh_installinit --noscripts --name=sympa-bounced
+	dh_installinit --noscripts --name=sympa-archived
+	dh_installinit --noscripts --name=sympa-bulk
+	dh_installinit --noscripts --name=sympa-task_manager
+
 # Remove unnecessary files
 binary-post-install/sympa::
 	rm -f "$(DEB_DESTDIR)"/usr/share/doc/$(cdbs_curpkg)/examples/sample/*.conf \
@@ -140,7 +143,7 @@
 	rm "$(DEB_DESTDIR)/usr/share/$(cdbs_curpkg)/bin/sympa_soap_client.pl"
 
 # Remove run directory as the init script deals with that
-	rmdir "$(DEB_DESTDIR)/var/run/$(cdbs_curpkg)" "$(DEB_DESTDIR)"/var/run
+	rmdir "$(DEB_DESTDIR)/run/$(cdbs_curpkg)" "$(DEB_DESTDIR)"/run
 
 # Remove configuration files shipped with sympa
 	rm "$(DEB_DESTDIR)/etc/$(cdbs_curpkg)/sympa.conf"
@@ -148,10 +151,6 @@
 
 # Move upstream sample dir below Debian example dir
 	cd "$(DEB_DESTDIR)/usr/share/doc/$(cdbs_curpkg)" && mv sample/ examples/
-
-# Rename example file topics.conf -> topics.us.conf
-	mv "$(DEB_DESTDIR)"/usr/share/doc/$(cdbs_curpkg)/examples/config/topics.conf \
-		"$(DEB_DESTDIR)"/usr/share/doc/$(cdbs_curpkg)/examples/config/topics.us.conf
 
 # We cannot handle /etc/sympa/data_structure.version as a conffile
 	rm -f "$(DEB_DESTDIR)"/etc/sympa/data_structure.version
@@ -175,7 +174,7 @@
 # Needed (always/often) at runtime
 CDBS_DEPENDS = $(common-depends)
 CDBS_DEPENDS += , default-mta | mail-transport-agent, ca-certificates
-CDBS_DEPENDS += , sysklogd (>= 1.3-27) | system-log-daemon
+CDBS_DEPENDS += , rsyslog | system-log-daemon
 CDBS_DEPENDS += , lsb-base, adduser, debconf | debconf-2.0, dbconfig-common
 CDBS_DEPENDS += , libdbd-mysql-perl (>= 4.007), libdbd-pg-perl
 CDBS_DEPENDS += , libdbd-sybase-perl, libdbd-sqlite3-perl, sqlite3
