## sympa 6.1.24~dfsg

=== debian/changelog ===
sympa (6.1.24~dfsg-1) unstable; urgency=medium

  * New upstream release
    - Remove patch for CVE-2015-1306
  * Switch to plain Debhelper rather than CDBS
  * Fix debian/watch file in order to exclude alpha or beta versions
  * Fix perl-modules and libcgi-pm-perl build dependencies (Closes: #788152)
  * Bump Standards-Version to 3.9.6
  * Add a patch (backported from Sympa 6.2) to fix various SSL/TLS issues
    (Closes: #783595)

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 31 Jul 2015 06:35:47 +0200
