=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Jonas Smedegaard <dr@jones.dk>, Emmanuel Bouthenot <kolter@debian.org>
-Build-Depends: cdbs,
+Build-Depends:
  devscripts,
  debhelper (>= 9),
- dh-buildinfo,
+ dh-systemd,
  libdbi-perl (>= 1.48),
  libarchive-zip-perl (>= 1.05),
  libmailtools-perl (>= 1.51),
@@ -21,7 +21,7 @@
  libmime-encwords-perl,
  libtemplate-perl,
  libxml-libxml-perl,
- perl-modules (>= 5.10) | libcgi-pm-perl (>= 3.35),
+ libcgi-pm-perl,
  libhtml-stripscripts-parser-perl (>= 1.0),
  libhtml-tree-perl,
  libhtml-format-perl,
@@ -29,19 +29,76 @@
  libregexp-common-perl,
  debconf-utils,
  po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/sympa.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sympa.git
 Homepage: http://www.sympa.org/
 
 Package: sympa
 Architecture: any
-Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${cdbs:Depends}
+Depends:
+    ${perl:Depends},
+    ${shlibs:Depends},
+    ${misc:Depends},
+    libdbi-perl (>= 1.48),
+    libarchive-zip-perl (>= 1.05),
+    libmailtools-perl (>= 1.51),
+    libmsgcat-perl (>= 1.0),
+    libmime-tools-perl,
+    perl (>= 5.8),
+    libio-stringy-perl,
+    libnet-ldap-perl,
+    libcgi-fast-perl,
+    libintl-perl,
+    libmime-charset-perl,
+    libmime-encwords-perl,
+    libtemplate-perl,
+    libxml-libxml-perl,
+    perl-modules (>= 5.10) | libcgi-pm-perl (>= 3.35),
+    libhtml-stripscripts-parser-perl (>= 1.0),
+    libhtml-tree-perl,
+    libhtml-format-perl,
+    mhonarc,
+    libregexp-common-perl,
+    default-mta | mail-transport-agent,
+    ca-certificates,
+    rsyslog | system-log-daemon,
+    lsb-base,
+    adduser,
+    debconf | debconf-2.0,
+    dbconfig-common,
+    libdbd-mysql-perl (>= 4.007),
+    libdbd-pg-perl,
+    libdbd-sybase-perl,
+    libdbd-sqlite3-perl,
+    sqlite3,
+    libfcgi-perl,
+    libfile-copy-recursive-perl (>= 0.36),
+    libnet-netmask-perl,
+    libterm-progressbar-perl,
+    libmime-lite-html-perl,
+    libunicode-linebreak-perl,
+    libsoap-lite-perl
 Replaces: wwsympa
 Provides: wwsympa
 Conflicts: wwsympa
-Recommends: ${cdbs:Recommends}, logrotate, doc-base, mysql-server | postgresql, locales
-Suggests: ${cdbs:Suggests}, apache2 | httpd-cgi, openssl (>= 0.9.5a), libsoap-lite-perl
+Recommends:
+    libfile-nfslock-perl,
+    libio-socket-ssl-perl,
+    libcrypt-ciphersaber-perl,
+    libmail-dkim-perl (>= 0.36),
+    libapache2-mod-fcgid,
+    apache2-suexec,
+    logrotate,
+    doc-base,
+    mysql-server | postgresql,
+    locales
+Suggests:
+    libauthcas-perl (>= 1.4),
+    libdbd-oracle-perl (>= 0.90),
+    libtext-wrap-perl,
+    apache2 | httpd-cgi,
+    openssl (>= 0.9.5a)
 Description: Modern mailing list manager
  Sympa is a scalable and highly customizable modern mailing list manager
  capable of handling big setups: 20.000 lists with 700,000 subscribers.
