=== debian/rules ===
#!/usr/bin/make -f

PACKAGE  = $(shell dh_listpackages)
DEBDIR   = $(CURDIR)/debian
TMP      = $(DEBDIR)/$(PACKAGE)

UPSTREAMSTUFF  = src/etc/list_aliases.tt2 src/lib/Sympa/Constants.pm sympa.spec
UPSTREAMSTUFF += po-wwsympa/stamp-po po/stamp-po

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-fhs \
		--sysconfdir=/etc/sympa \
		--sbindir=/usr/lib/sympa/bin \
		--libexecdir=/usr/lib/sympa/bin \
		--with-cgidir=/usr/lib/cgi-bin/sympa \
		--datadir=/usr/share \
		--localedir=/usr/lib/sympa/locale \
		--mandir=/usr/share/man \
		--with-initdir=/etc/init.d \
		--docdir=/usr/share/doc/sympa \
		--with-piddir=/run/sympa \
		--with-perl=/usr/bin/perl \
		--with-user=sympa \
		--with-group=sympa \
		--with-aliases_file=/etc/mail/sympa/aliases
	touch src/etc/ca-bundle.crt
	# Backup upstream stuff
	for file in $(UPSTREAMSTUFF); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
	done

override_dh_auto_build:
	dh_auto_build
	# Build sympa wizard manpage
	pod2man --center "" --date "" --release "" --section=8 \
		src/sympa_wizard.pl.in -o debian/sympa_wizard.8
	# Cleanup SQL schemas to be used by dbconfig
	mkdir -p $(DEBDIR)/dbconfig-common/install
	sed -r 's/^\s*(DROP|CREATE\s+DATABASE|\\r|USE|\\connect) /-- \0/i' \
		src/etc/script/create_db.mysql > $(DEBDIR)/dbconfig-common/install/mysql
	sed -r 's/^\s*(DROP|CREATE\s+DATABASE|\\r|USE|\\connect) /-- \0/i' \
		src/etc/script/create_db.Pg > $(DEBDIR)/dbconfig-common/install/postgres
	cp src/etc/script/create_db.SQLite $(DEBDIR)/dbconfig-common/install/sqlite3

override_dh_auto_install:
	dh_auto_install
	rm -rf \
		$(TMP)/run \
		$(TMP)/usr/share/sympa/default/ca-bundle.crt \
		$(TMP)/etc/sympa/sympa.conf \
		$(TMP)/etc/sympa/wwsympa.conf \
		$(TMP)/etc/sympa/data_structure.version \
		$(TMP)/usr/share/sympa/bin/sympa_soap_client.pl
	mv $(TMP)/usr/share/doc/sympa/sample $(TMP)/usr/share/doc/sympa/examples
	chmod -x $(TMP)/usr/share/sympa/bin/create_db*

override_dh_installinit:
	dh_installinit --name=sympa
	dh_installinit --noscripts --name=sympa-bounced
	dh_installinit --noscripts --name=sympa-archived
	dh_installinit --noscripts --name=sympa-bulk
	dh_installinit --noscripts --name=sympa-task_manager

override_dh_clean:
	dh_clean
	rm -f src/etc/ca-bundle.crt debian/sympa_wizard.8
	rm -f po/*.gmo po-wwsympa/*.gmo
	rm -rf $(DEBDIR)/dbconfig-common/install
	# Restore upstream stuff
	for file in $(UPSTREAMSTUFF); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done

%:
	dh $@ --with systemd
