=== debian/watch ===
version=3
opts=dversionmangle=s/[~+]dfsg.*//,uversionmangle=s/b\.(\d+)$/~beta$1/ \
	http://www.sympa.org/distribution/sympa-([\.0-9]+)\.tar\.gz
