## sympa 6.1.25~dfsg

=== debian/changelog ===
sympa (6.1.25~dfsg-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches (most of them were merged upstream)
  * Fix Vcs-(Git|Browser) fields to use secure URIs
  * Bump Standards-Version to 3.9.8
  * Fix some typos in control and NEWS
  * Remove wrong dependency on perl-modules (Closes: #811194)
  * Enable hardening=all build
  * Add missing Documentation key in service unit files (archived and bounced)
  * Remove useless symlinks (/usr/bin/{archived,bounced,task_manager})
  * Enable sympa systemd units by default (Closes: #813375)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 02 Jul 2016 07:41:10 +0200
