=== debian/control ===
--- 
+++ 
@@ -29,9 +29,9 @@
  libregexp-common-perl,
  debconf-utils,
  po-debconf
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/sympa.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sympa.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sympa.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sympa.git
 Homepage: http://www.sympa.org/
 
 Package: sympa
@@ -54,7 +54,7 @@
     libmime-encwords-perl,
     libtemplate-perl,
     libxml-libxml-perl,
-    perl-modules (>= 5.10) | libcgi-pm-perl (>= 3.35),
+    libcgi-pm-perl (>= 3.35),
     libhtml-stripscripts-parser-perl (>= 1.0),
     libhtml-tree-perl,
     libhtml-format-perl,
@@ -114,7 +114,7 @@
   - Virtual domains (virtual robots)
   - Local SQLite subscriber database or use of MySQL, PostgreSQL or LDAP
   - Integrated scripting language to extend and automate routines
-  - Web inteface called WWSympa providing homogenous access for both
+  - Web interface called WWSympa providing homogenous access for both
     users and admins to list overviews, customization, administration,
     searchable archives and optional web-based email reply form.
   - Clean moderation and expiration processing
