=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PACKAGE  = $(shell dh_listpackages)
 DEBDIR   = $(CURDIR)/debian
@@ -55,12 +57,15 @@
 	mv $(TMP)/usr/share/doc/sympa/sample $(TMP)/usr/share/doc/sympa/examples
 	chmod -x $(TMP)/usr/share/sympa/bin/create_db*
 
+override_dh_systemd_enable:
+	dh_systemd_enable --name sympa sympa.service
+
 override_dh_installinit:
-	dh_installinit --name=sympa
-	dh_installinit --noscripts --name=sympa-bounced
-	dh_installinit --noscripts --name=sympa-archived
-	dh_installinit --noscripts --name=sympa-bulk
-	dh_installinit --noscripts --name=sympa-task_manager
+	dh_installinit --name sympa
+	dh_installinit --noscripts --name sympa-bounced
+	dh_installinit --noscripts --name sympa-archived
+	dh_installinit --noscripts --name sympa-bulk
+	dh_installinit --noscripts --name sympa-task_manager
 
 override_dh_clean:
 	dh_clean
