=== debian/watch ===
version=3
opts=dversionmangle=s/[~+]dfsg.*//,uversionmangle=s/b\.(\d+)$/~beta$1/ \
    http://www.sympa.org/distribution/sympa-(6\.1[\.0-9]+)\.tar\.gz
