## sympa 6.2.16~dfsg

=== debian/changelog ===
sympa (6.2.16~dfsg-3+deb9u2) stretch; urgency=medium

  * Non-maintainer upload.

  [ Stefan Hornburg (Racke) ]
  * Remove /etc/sympa/sympa.conf-smime.in from conffiles (Closes: #864546).
  * Add call for removing sympa.conf-smime.in by maintainer scripts.
  * Use full path for head command in Sympa configuration file
    (Closes: #863701).

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 13 Dec 2018 12:58:32 +0100

sympa (6.2.16~dfsg-3+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.

  [ Salvatore Bonaccorso ]
  * Directory traversal vulnerability (CVE-2018-1000550)

  [ Emmanuel Bouthenot ]
  * Fix shell function used to prefill debconf questions from Sympa
    configuration file in debian/config. Values reinjected to Sympa config
    file were false and led to serious configurations issues.
    (Closes: #863631)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 27 Jul 2018 19:48:38 +0200

sympa (6.2.16~dfsg-3) unstable; urgency=medium

  * Add dependency on libnet-dns-perl to perform DMARC verifications
  * Add a patch to support JQuery >= 3 (system wide installed) using
   jquery-migrate (Closes: #855199)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 05 Mar 2017 06:56:13 +0100

sympa (6.2.16~dfsg-2) unstable; urgency=medium

  [ Stefan Hornburg (Racke) ]
  * Add version to libjs-query (>= 1.11) dependency as Foundation 5
    needs this as minimum (Closes: #839755)

  [ Emmanuel Bouthenot ]
  * Fix bug with Sympa config file which was shipped as a conffile
    (Closes: #839920)
  * Add a patch (Thanks to Chris Lamb) to make the build reproducible
    (Closes: #839587)
  * Fix mysql-server dependency to default-mysql-server
  * Add a NEWS file to inform about the major changes in Sympa 6.2
    (Closes: 839728)

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 25 Nov 2016 11:41:16 +0100

sympa (6.2.16~dfsg-1) unstable; urgency=medium

  * New major upstream release (Closes: #814426)
    - New web interface (Closes: #320681)
    - Database schemas are automatically updated (Closes: #651942)
    - Template missing fixed (Closes: #746387)
  * Packaging fixes and cleanup:
    - Fix various bugs in debconf usage (Closes: #821819)
    - Removing oldies and fix bugs in postinst:
      + Make possible to not use dbconfig-common (Closes: #631162)
    - Fix logrotate configuration so that sympa is not left in a confused
      state when systemd is used (Closes: #804066)
    - Update copyright holders
  * Add a patch to remove a reference to a template which no longer exists
  * Add a patch to fix various typos in documentation and manpages
  * Add a patch to fix log severity in some command line tools used
    in postinst
  * Update lintian overrides

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 19 Sep 2016 21:47:54 +0200
