=== debian/control ===
--- 
+++ 
@@ -46,6 +46,14 @@
     libmsgcat-perl (>= 1.0),
     libmime-tools-perl,
     perl (>= 5.8),
+    libnet-dns-perl,
+    libclass-singleton-perl,
+    libdatetime-format-mail-perl,
+    libfile-nfslock-perl,
+    libmail-dkim-perl (>= 0.36),
+    libnet-cidr-perl,
+    libcrypt-openssl-x509-perl,
+    libcrypt-smime-perl,
     libio-stringy-perl,
     libnet-ldap-perl,
     libcgi-fast-perl,
@@ -69,8 +77,8 @@
     dbconfig-common,
     libdbd-mysql-perl (>= 4.007),
     libdbd-pg-perl,
-    libdbd-sybase-perl,
     libdbd-sqlite3-perl,
+    libdbd-csv-perl,
     sqlite3,
     libfcgi-perl,
     libfile-copy-recursive-perl (>= 0.36),
@@ -78,27 +86,31 @@
     libterm-progressbar-perl,
     libmime-lite-html-perl,
     libunicode-linebreak-perl,
-    libsoap-lite-perl
+    libsoap-lite-perl,
+    fonts-font-awesome,
+    libjs-jquery (>= 1.11),
+    libjs-jquery-migrate-1,
+    libjs-jquery-ui,
+    libjs-jquery-placeholder,
+    libjs-modernizr,
+    libjs-twitter-bootstrap
 Replaces: wwsympa
 Provides: wwsympa
 Conflicts: wwsympa
 Recommends:
-    libfile-nfslock-perl,
     libio-socket-ssl-perl,
     libcrypt-ciphersaber-perl,
-    libmail-dkim-perl (>= 0.36),
     libapache2-mod-fcgid,
     apache2-suexec,
     logrotate,
     doc-base,
-    mysql-server | postgresql,
+    default-mysql-server | postgresql,
     locales
 Suggests:
     libauthcas-perl (>= 1.4),
     libdbd-oracle-perl (>= 0.90),
-    libtext-wrap-perl,
-    apache2 | httpd-cgi,
-    openssl (>= 0.9.5a)
+    libdbd-odbc-perl,
+    apache2 | httpd-cgi
 Description: Modern mailing list manager
  Sympa is a scalable and highly customizable modern mailing list manager
  capable of handling big setups: 20.000 lists with 700,000 subscribers.
