## sympa 6.2.18~dfsg

=== debian/changelog ===
sympa (6.2.18~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove various patches merged upstream
  * Update lintian overrides
  * Bump Standards-Version to 4.0.0
  * Enable use of autoreconf debhelper add-on
  * Update debian/copyright with minor changes
  * Add a patch to properly cleanup temporary files generated by build
    process
  * Fix shell function used to prefill debconf questions from Sympa
    configuration file in debian/config. Values reinjected to Sympa config
    file were false and led to serious configurations issues (Closes: #863631)

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 27 Jul 2017 10:59:04 +0200

sympa (6.2.16~dfsg-5) unstable; urgency=medium

  * Fix configure error by reverting change to locate newaliases binary
    (Closes: #868720).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 21 Jul 2017 19:14:00 +0200

sympa (6.2.16~dfsg-4) unstable; urgency=medium

  * Remove obsolete configuration file /etc/sympa/sympa.conf-smime.in
    (Closes: #864546).
  * Fix location of newaliases binary (Closes: #868289).
  * Use full path for head command in Cookies directive (Closes: #863701).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 15 Jul 2017 20:13:19 +0200
