=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Jonas Smedegaard <dr@jones.dk>, Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
  devscripts,
- debhelper (>= 9),
+ debhelper (>= 9.20160403~),
  dh-systemd,
  libdbi-perl (>= 1.48),
  libarchive-zip-perl (>= 1.05),
@@ -29,7 +29,7 @@
  libregexp-common-perl,
  debconf-utils,
  po-debconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/sympa.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sympa.git
 Homepage: http://www.sympa.org/
