## sympa 6.2.22~dfsg

=== debian/changelog ===
sympa (6.2.22~dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #877173).
  * Dropped dh-systemd build dependency (lintian fix).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 03 Oct 2017 10:33:23 +0200

sympa (6.2.20~dfsg-2) unstable; urgency=medium

  * Add dependency on libclass-singleton-perl (Closes: #876663). 

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 24 Sep 2017 19:05:35 +0200

sympa (6.2.20~dfsg-1) unstable; urgency=medium

  [ Stefan Hornburg (Racke) ]
  * New upstream release
  * Don't change ownership on /run/sympa recursively, which is unnecessary and
    messes up ownership of WWSympa sockets.

  [ Emmanuel Bouthenot ]
  * Bring back documentation files renamed upstream
  * Provides a /usr/share/doc/sympa/changelog.gz which points to NEWS.md.gz

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 24 Sep 2017 11:55:23 +0200
