## sympa 6.2.24~dfsg

=== debian/changelog ===
sympa (6.2.24~dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Remove jquery-migrate patch.   
    - Remove CA bundle check patch.
    - Remove Makefile.am clean up patch.

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 22 Dec 2017 13:43:00 +0100
