=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Jonas Smedegaard <dr@jones.dk>, Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
  devscripts,
- debhelper (>= 9.20160403~),
- dh-systemd,
+ debhelper (>= 9.20160709),
  libdbi-perl (>= 1.48),
  libarchive-zip-perl (>= 1.05),
  libmailtools-perl (>= 1.51),
@@ -19,6 +18,7 @@
  libintl-perl,
  libmime-charset-perl,
  libmime-encwords-perl,
+ libclass-singleton-perl,
  libtemplate-perl,
  libxml-libxml-perl,
  libcgi-pm-perl,
