=== debian/rules ===
--- 
+++ 
@@ -115,4 +115,4 @@
 	done
 
 %:
-	dh $@ --with systemd
+	dh $@ --with autoreconf,systemd
